﻿var id;
var svgsizes = [];

$(window).resize(function() {
    clearTimeout(id);
    id = setTimeout(changeSize(), 500);
});

$(document).ready(function() {
	if($(".slick-track svg")) {
		$(".slick-track svg").each(function(index, svg) {
			svgsizes.push({
				width: svg.getAttribute("width"),
				height: svg.getAttribute("height")
			});
		});
	}

	changeSize();
});

function changeSize() {
	if($(".slick-track svg")) {
		$(".slick-track svg").each(function(index, svg) {
			
			var size = recalculateSize(svgsizes[index]);
		
			svg.setAttribute("width", size.w);
			svg.setAttribute("height", size.h);
		});
	}
}


function getFactor() {
	var dpr = 1;/*(window.devicePixelRatio ? window.devicePixelRatio : 1);*/
	var width = $(window).width();
	var factor;
	
	if(width <= 600) {
		factor = 0.8 * dpr;
	} else if(width > 600 && width < 960) {
		factor = 1.0 * dpr;
	} else if(width >= 960) {
		factor = 1.0 * dpr;
	}
	
	return factor;
}


function recalculateSize(data) {
	var factor = getFactor();
	
	var width = onlyData(data.width);
	var height = onlyData(data.height);
	
	svgwidth = (parseInt(width[0]) * factor).toString() + width[1];
	svgheight = (parseInt(height[0]) * factor).toString() + height[1];
	
	return {
		w: svgwidth,
		h: svgheight
	}
}

function onlyData(val) {

	return (val.split(/(\d+)/)).filter(function(v){
		return v!=='';
	});
}